h1 {
    text-align: left !important;
    margin: -5px 0 0 !important;
}

h2 {
    margin: 5px 0 0 !important;
}

.window {
    padding-left: 10px !important;
    padding-right: 10px !important;
}

.window-contents {
    display: flex;
    gap: 10px;
}

@media screen and (width <= 1000px) {
    .window-contents {
        flex-direction: column;

        width: 600px !important;
        height: 1000px !important;
    }
}
@media screen and (width > 1000px) {
    .window-contents {
        flex-direction: row;

        height: 350px !important;
        width: 875px !important;
    }
}

.client-preview {
    position: relative;
    aspect-ratio: 16 / 9;
    overflow: hidden;
    flex-shrink: 0;

    .image-track {
        display: flex;
        height: 100%;
        transition: transform 0.4s ease-in-out;
    }

    .image-track img {
        width: 100%;
        height: 100%;
        flex-shrink: 0;
        object-fit: cover;
        border-radius: 10px;
    }

    a {
        position: absolute;
        top: calc(50% - 15px);
        bottom: calc(50% + 15px);
        width: 30px;
        height: 30px;
        background-color: rgba(0, 0, 0, 50%);
        backdrop-filter: blur(6px);
        border-radius: 10px;
        cursor: pointer;
    }

    a:before {
        position: absolute;
        top: 4px;
        left: 0;
        right: 0;
        bottom: 0;
        color: rgba(100%, 100%, 100%, 80%);
        font-family: "JetBrains Mono", monospace;
        font-weight: bold;
        text-align: center;
        text-shadow: rgba(0, 0, 0, 0.5) 0 3px 6px;
    }

    .nav-left {
        left: 5px;
    }
    .nav-left::before {
        content: "<";
    }
    .nav-right {
        right: 5px;
    }
    .nav-right::before {
        content: ">";
    }
}

.client-data {
    display: flex;
    flex-direction: column;
    height: 100%;
    flex-grow: 1;

    .client-icons {
        height: 30px;
        display: flex;
        flex-direction: row;
        margin-bottom: 5px;
        align-content: flex-start;
        flex-wrap: wrap;
        gap: 2px;

        div {
            position: relative;

            height: 30px;
            width: 30px;

            svg {
                color: rgba(100%, 100%, 100%, 50%);
                height: 30px;
                width: 30px;
            }

            span {
                position: absolute;
                right: 20px;
                top: 30px;

                background: rgba(31, 31, 31, 1);
                border-radius: 10px;
                border: 1px solid #444;

                color: rgba(100%, 100%, 100%, 1);
                font-family: "JetBrains Mono", monospace;
                font-size: 18px;

                pointer-events: none;
                opacity: 0;

                transition: opacity 0.3s;

                white-space: nowrap;
                padding: 2px 4px 3px;
            }

            svg:hover+span {
                opacity: 1;
            }
        }
    }

    .separator {
        min-height: 50px;
    }

    .button-lane {
        display: flex;
        flex-direction: row;
        gap: 7px;

        .left {
            flex-grow: 1;
        }

        .right {
            aspect-ratio: 1 / 1;

            svg {
                position: absolute;
                top: 7px;
                left: 7px;
                bottom: 0;
                right: 0;
                width: calc(100% - 14px);
                height: calc(100% - 14px);
                color: white;
            }
        }

        .button.one {
            border-radius: 15px;
        }
        .button.one::after {
            border-radius: 15px;
        }

        .button.two {
            border-radius: 10px;
        }
        .button.two::after {
            border-radius: 10px;
        }
        
        .button {
            background: linear-gradient(45deg, #2193b0, #ba6ded);
            align-content: center;
            font-size: 20px;
            cursor: pointer;
            text-decoration: none;
            position: relative;

            border: none;
            box-sizing: border-box;

            font-family: "JetBrains Mono", monospace;
            font-optical-sizing: auto;
            font-weight: normal;
            font-style: normal;
            color: white;
            text-shadow: 0 3px 6px rgba(0, 0, 0, 0.5);
            height: 40px;
        }

        .button::after {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.0);
            transition: 0.4s;
        }

        .button:hover::after {
            background-color: rgba(0, 0, 0, 0.1);
        }

        .not-released {
            cursor: not-allowed;
        }
        .not-released::after {
            background-color: rgba(0, 0, 0, 0.3);
        }
        .not-released:hover::after {
            background-color: rgba(0, 0, 0, 0.3);
        }
    }

    .client-likes {
        display: flex;
        flex-direction: row;
        margin-bottom: 5px;
        padding-left: 2px;
        padding-right: 2px;
        align-items: center;

        .likes {
            display: flex;
            gap: 5px;
            text-decoration: none;

            svg {
                width: 23px;
                height: 23px;
                color: rgba(80%, 80%, 80%);
                transition: color 0.2s;
            }
            span {
                line-height: 20px;
                font-family: "JetBrains Mono", monospace;
                color: rgba(80%, 80%, 80%);
                font-size: 17px;
                transition: color 0.2s;
                margin-top: 2px;
            }
        }

        .selected.like {
            svg {
                color: rgba(52, 123, 47, 1.0);
            }
            span {
                color: rgba(52, 123, 47, 1.0);
            }
        }

        .selected.dislike {
            svg {
                color: rgba(130, 52, 52, 1.0);
            }
            span {
                color: rgba(130, 52, 52, 1.0);
            }
        }

        .likes-gradient {
            position: relative;
            flex-grow: 1;
            margin-left: 5px;
            margin-right: 5px;
            height: 5px;
            background: rgba(0, 0, 0, 10%);
            border-radius: 3px;
            --left: 0;
            --right: 100%;

            .progress {
                position: absolute;
                left: var(--left, auto);
                right: var(--right, auto);
                top: 0;
                bottom: 0;
                background: linear-gradient(45deg, #2193b0, #ba6ded);
                border-radius: 3px;
                transition: left 0.2s, right 0.2s;
            }
        }
    }
}